Yeah, dealing with the dependencies on MacOS can be a bit of a 
nightmare.  I ran into similar issues when I was developing on it for a 
while and I can't remember the exact solution, but here's something to 
try.  First you need to remove all traces of MySQL from your system.  
This is assuming you don't already have valuable data in your database, 
in which case you're on your own figuring out how to deal with that.  
Remove the ruby mysql gem:<br>
<br>sudo gem uninstall mysql<br><br>You may want to double check that 
the gem is completely gone.  If it has compiled improperly it can 
interfere with further attempts to reinstall it.  Remove any MySQL 
folder you find in your gem path, usually /usr/bin/ruby/gems/1.8/gems/<br>
<br>Then remove all mysql related stuff:<br><br>sudo rm /usr/local/mysql<br>sudo rm -rf /usr/local/mysql*<br>sudo rm -rf /Library/StartupItems/MySQLCOM<br>sudo rm -rf /Library/PreferencePanes/My*<br>sudo rm -rf /Library/Receipts/mysql*<br>

sudo rm -rf /Library/Receipts/MySQL*<br>sudo rm /etc/my.cnf<br><br>Now 
start over.  Reinstall MySQL.  I think my problems may have stemmed from
 the version of MySQL I was using at the time.  Rather than the latest 
version (5.5.11) now I&#39;m working with 5.1.56 which works fine.  You can 
find it if you go to the MySQL download page and click on the previous 
versions link:<br>
<br><a href="http://www.mysql.com/downloads/mysql/5.1.html#downloads" target="_blank">http://www.mysql.com/downloads/mysql/5.1.html#downloads</a><br><br>There were some other issues, I think with installing the gem on 64-bit MacOS.   You can try installing it regular with:<br>

<br>sudo gem install mysql<br><br>But if you run into issues you may need to try:<br><br>sudo env ARCHFLAGS=&quot;-arch x86_64&quot; gem install mysql<br><br>Some
 combination of the above should help solve your problem.  All comes 
with the usual disclaimer:  If your computer gets discombobulated it&#39;s 
not my fault.  If it isn&#39;t critical to use MySQL on your local machine I
 would actually recommend sticking with the default SQLite for 
development and then worry about switching in MySQL or Postgres when you
 put it into production.  (Heroku takes a lot of the stress out of it by
 handling the whole mess for you--you just have to be okay with some 
downtime if Amazon takes a dive.)<br>
<br>Good luck!<br><font color="#888888">- Robert</font><br><br><div class="gmail_quote">On Sat, Apr 23, 2011 at 5:10 PM, Rachel McConnell <span dir="ltr">&lt;<a href="mailto:rachel@xtreme.com">rachel@xtreme.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin: 0pt 0pt 0pt 0.8ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">I&#39;m getting an error when I try to run a rake db:[whatever] task:<br>
<br>
uninitialized constant MysqlCompat::MysqlRes<br>
<br>
I&#39;ve googled extensively and tried all the fixes suggested, none of<br>
which have worked.  I am pretty sure there is an incompatibility in the<br>
mysql gem, but have no idea how to find or solve it.<br>
<br>
Is anyone here a super Rails/Ruby on Mac ninja who has interest in going<br>
through it with me and helping me figure it out?  I can write out the<br>
details in email if anyone wants to try their hand at it that way.<br>
<br>
Rachel<br>
<br>
<br>
<br>
_______________________________________________<br>
Noisebridge-discuss mailing list<br>
<a href="mailto:Noisebridge-discuss@lists.noisebridge.net">Noisebridge-discuss@lists.noisebridge.net</a><br>
<a href="https://www.noisebridge.net/mailman/listinfo/noisebridge-discuss" target="_blank">https://www.noisebridge.net/mailman/listinfo/noisebridge-discuss</a><br>
</blockquote></div><br>